## tcm 2.20%2BTSQD

=== Makefile ===
# This Makefile requires GNU make (gmake).

SHELL=/bin/sh

# change this if you want to install it in a different place
ifndef $(TCM_INSTALL_DIR)
	TCM_INSTALL_DIR=$TCM_HOME
endif

# the current version.
TCM_VERSION=2.20

# just a guess (flags should indicate recursiveness, permission
# keeping and links should stay links).
TCM_INSTALL_CMD = /bin/cp -fpr


ifndef TCM_INSTALL_LIB
	TCM_INSTALL_LIB=$(TCM_INSTALL_DIR)/lib/
endif

ifndef CONFIG_INSTALL
	CONFIG_INSTALL=$(TCM_INSTALL_LIB)
endif

ifndef TCM_INSTALL_DOC
	TCM_INSTALL_DOC=$(TCM_INSTALL_DIR)/doc/
endif

ifndef TCM_INSTALL_SHARE
	TCM_INSTALL_SHARE=$(TCM_INSTALL_LIB)
endif

ifndef TCM_INSTALL_MAN
	TCM_INSTALL_MAN=$(TCM_INSTALL_DIR)/man/
endif

MFLAGS += TCM_INSTALL_DIR='$(TCM_INSTALL_DIR)' TCM_INSTALL_LIB='$(TCM_INSTALL_LIB)' CONFIG_INSTALL='$(CONFIG_INSTALL)' TCM_INSTALL_DOC='$(TCM_INSTALL_DOC)' TCM_COMPILER='$(TCM_COMPILER)' TCM_INSTALL_CMD='$(TCM_INSTALL_CMD)' TCM_HOME='$(TCM_COMPILE_DIR)' TCM_INSTALL_SHARE='$(TCM_INSTALL_SHARE)'

UNAME=$(shell uname -s | sed -e 's/_NT.*//g')

ifeq ($(UNAME),IRIX64)
    UNAME = IRIX
endif

ifeq ($(UNAME),IRIX)
    TCM_PLATFORM = irix
    TCM_COMPILER = gcc
endif
ifeq ($(UNAME),Linux)
    TCM_PLATFORM = linux
    TCM_COMPILER = gcc
    TCM_INSTALL_CMD = /bin/cp -af
endif
ifeq ($(UNAME),HP-UX)
    TCM_PLATFORM = hpux
    TCM_COMPILER = gcc
endif
ifeq ($(UNAME),AIX)
    TCM_PLATFORM = aix
    TCM_COMPILER = gcc
    # TCM_COMPILER = xlc
endif
ifeq ($(UNAME),OSF1)
    TCM_PLATFORM = osf1
    TCM_COMPILER = gcc
endif
ifeq ($(UNAME),FreeBSD)
    TCM_PLATFORM = freebsd
    TCM_COMPILER = gcc
    TCM_INSTALL_CMD = /bin/cp -Rp
endif
ifeq ($(UNAME),SunOS)
    TCM_PLATFORM = solaris
    TCM_COMPILER = suncc
    TCM_INSTALL_CMD = /usr/bin/cp -fpr
    # TCM_PLATFORM = solaris.gcc
    # TCM_COMPILER = gcc
endif
ifeq ($(UNAME),CYGWIN)
    TCM_PLATFORM = CYGWIN
    TCM_COMPILER = gcc
    TCM_INSTALL_CMD = /bin/cp -dRf
endif

TCM_COMPILE_DIR=$(shell pwd)
TCM_HOME=$(TCM_COMPILE_DIR)
SUBDIRS = bin lib src doc

config:
	@echo making $@ for $(TCM_PLATFORM)...
	(cd ./src; rm -f ./Config.tmpl)
	(cd ./src; ln -s Config.tmpl_$(TCM_PLATFORM) Config.tmpl) 
	(cd ./src; rm -f ./Makefile)
	(cd ./src; ln -s Makefile.$(TCM_COMPILER) Makefile) 
	(cd ./src; touch ./gl/instances.h) 
	(cd ./lib/help; ln -s ../../CHANGELOG .) 
	(cd ./lib/help; ln -s ../../COPYING .) 
	@echo done making $@ for $(TCM_PLATFORM)
	@echo PLEASE CHECK FIRST THE SETTINGS IN src/Config.tmpl!
	@echo after that you can do the following: 
	@echo make depend: for making file dependencies
	@echo make execs: for making the binaries
	@echo make install: for copying the binaries and the files\
	       that they need to $(TCM_INSTALL_DIR)
	@echo \(this installation directory can be changed in $(TCM_HOME)/Makefile\)
	@echo make all: to do all this in one run
	@echo make clean: to remove all binaries, object and temporary files.

all: config depend execs install

execs:
	(cd ./src; ${MAKE} $(MFLAGS) all)

docs:
	(cd ./doc; ${MAKE} TCM_VERSION='$(TCM_VERSION)' all)

depend:
	(cd ./src; ${MAKE} TCM_HOME='$(TCM_COMPILE_DIR)' depend)

undepend:
	(cd ./src; ${MAKE} TCM_HOME='$(TCM_COMPILE_DIR)' undepend)

clean:
	@echo making $@...
	for dir in $(SUBDIRS); do \
                (cd $${dir}; ${MAKE} TCM_HOME='$(TCM_COMPILE_DIR)' $@); done
	@echo done making $@...

install:
	@echo making $@...
	if test ! -d $(TCM_INSTALL_DIR); then\
                mkdir -p $(TCM_INSTALL_DIR);\
                $(CHMOD) 755 $(TCM_INSTALL_DIR); fi
	$(TCM_INSTALL_CMD) README CHANGELOG COPYING FILEMAP \
			INSTALL_ README.cygwin INSTALL.cygwin man $(TCM_INSTALL_DIR)
	if test ! -d $(TCM_INSTALL_MAN); then\
		mkdir -p $(TCM_INSTALL_MAN);\
		$(CHMOD) 755 $(TCM_INSTALL_MAN); fi
	$(TCM_INSTALL_CMD) man/* $(TCM_INSTALL_MAN)
	for dir in $(SUBDIRS); do \
		(cd $${dir}; ${MAKE} $(MFLAGS) $@); done
	@echo done making $@...

-include $(TCM_HOME)/src/Config.tmpl

=== src/gl/Makefile ===
include ../Config.tmpl

CONFIG_FILE = tcm.conf

CFLAGS += -DCONFIG_INSTALL=\"$(CONFIG_INSTALL)\" -DTCM_INSTALL_DIR=\"$(TCM_INSTALL_DIR)\" -DTCM_INSTALL_LIB=\"$(TCM_INSTALL_LIB)\" -DTCM_INSTALL_SHARE=\"$(TCM_INSTALL_SHARE)\"
CFLAGS += -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DHELP_DIR=\"$(TCM_INSTALL_SHARE)help/\"

OBJECTS=afont.o\
        assoclist.o\
	code.o\
	config.o\
	dpoint.o\
	file.o\
	fillstyle.o\
	inputfile.o\
	intersect.o\
	key.o\
	link.o\
	llist.o\
	linestyle.o\
	lstring.o\
	lvector.o\
        outputfile.o\
	pagesize.o\
	point.o\
	printeroptions.o\
	properties.o\
	readdirection.o\
	rectangle.o\
	sequence.o\
	side.o\
	system.o\
	textalign.o\
	toolkit.o\
	version.o

text2ps.o:
	$(Cc) $(SYSFLAGS) -c text2ps.c

text2ps$(EXEEXTENSION): text2ps.o
	$(Cc) text2ps.o -o $@ 
	$(CHMODPLUSX) $@
	$(MV) $@ $(BIN_DIR)

libglobal.a: $(OBJECTS)
	$(AR) $@ $(OBJECTS)
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libglobal.so: $(OBJECTS)
	$(CC) $(CFLAGS) $(SHAREDFLAG) $(OBJECTS) -o $@
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(LIB_DIR)

clean: xclean

xclean::
	$(RM) instances.h
	touch instances.h 

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
afont.o: afont.c afont.h lstring.h bool.h
assoclist.o: assoclist.c assoclist.h llist.h element.h bool.h assoc.h
code.o: code.c code.h typename.h util.h error.h
config.o: config.c config.h llist.h element.h bool.h lstring.h point.h \
  linestyle.h textalign.h pagesize.h afont.h util.h error.h inputfile.h \
  file.h system.h
dpoint.o: dpoint.c dpoint.h point.h bool.h
file.o: file.c file.h bool.h lstring.h
fillstyle.o: fillstyle.c fillstyle.h lstring.h
inputfile.o: inputfile.c inputfile.h file.h bool.h lstring.h error.h
intersect.o: intersect.c intersect.h point.h bool.h util.h error.h
key.o: key.c key.h bool.h
linestyle.o: linestyle.c linestyle.h lstring.h
link.o: link.c link.h
llist.o: llist.c llist.h element.h bool.h instances.h
lstring.o: lstring.c lstring.h util.h error.h
lvector.o: lvector.c lvector.h bool.h llist.h element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h code.h typename.h \
  lstring.h
outputfile.o: outputfile.c outputfile.h file.h bool.h lstring.h point.h \
  util.h error.h
pagesize.o: pagesize.c pagesize.h lstring.h
point.o: point.c point.h bool.h
printeroptions.o: printeroptions.c printeroptions.h lstring.h bool.h \
  config.h llist.h element.h point.h linestyle.h textalign.h pagesize.h \
  util.h error.h
properties.o: properties.c properties.h property.h lstring.h bool.h \
  llist.h element.h inputfile.h file.h outputfile.h point.h
readdirection.o: readdirection.c readdirection.h lstring.h
rectangle.o: rectangle.c rectangle.h point.h bool.h
sequence.o: sequence.c sequence.h
side.o: side.c side.h lstring.h
system.o: system.c system.h bool.h util.h error.h lstring.h version.h
text2ps.o: text2ps.c
textalign.o: textalign.c textalign.h lstring.h
toolkit.o: toolkit.c toolkit.h bool.h
Vector.o: Vector.c Vector.h bool.h llist.h element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h code.h typename.h \
  lstring.h
version.o: version.c version.h

=== src/ui/Makefile ===
include ../Config.tmpl

COLOR_FILE = colorrgb.txt
BANNER_FILE = banner.ps

CFLAGS += -DCONFIG_INSTALL=\"$(CONFIG_INSTALL)\"
CFLAGS += -DCOLOR_FILE=\"$(COLOR_FILE)\" -DBANNER_FILE=\"$(BANNER_FILE)\"

OBJECTS=application.o\
	bitmap.o\
	component.o\
	colorchooserdialog.o\
	dialog.o\
	dumpwidgettree.o\
	error.o\
	figgrafport.o\
	fileselectiondialog.o\
	fileutils.o\
	finddialog.o\
	fontchooserdialog.o\
	grafport.o\
	lineend.o\
	lineenddialog.o\
	linestyledialog.o\
	linestylesidedialog.o\
	linewidthdialog.o\
	linewidthsidedialog.o\
	liteclue.o\
        mainwindow.o\
	menu.o\
	menuitem.o\
	messagedialog.o\
	messagelogdialog.o\
	mousecursor.o\
	mstring.o\
	mwidget.o\
	nodealignmentdialog.o\
	nodeshapedialog.o\
	ntogglelistdialog.o\
	printerqueuedialog.o\
        promptdialog.o\
	psgrafport.o\
	questiondialog.o\
	replacedialog.o\
	scaledialog.o\
	selectiondialog.o\
	textalignmentdialog.o\
	texteditdialog.o\
	textfieldlistdialog.o\
	textviewdialog.o\
	togglelistdialog.o\
	xfont.o\
	xgrafport.o\
	xresources.o\
	temporalpropertydialog.o\
	modelcheckdialog.o

MAIN = main.o

libgui.a: $(OBJECTS) $(MAIN)
	$(AR) $@ $(OBJECTS) $(MAIN)
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libguix.a: $(OBJECTS)
	ar cr $@ $(OBJECTS)
	$(CHMODPLUSX) $@
	$(MV) $@ $(LIB_DIR)

libgui.so: $(OBJECTS) $(MAIN)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(SHAREDFLAG) $(OBJECTS) $(MAIN) -o $@
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(LIB_DIR)
 
clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
application.o: application.c application.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h mainwindow.h \
  mousecursor.h messagelogdialog.h textviewdialog.h dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/printeroptions.h \
  xresources.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/inputfile.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/file.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h color.h
bitmap.o: bitmap.c bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/Default.xbm
colorchooserdialog.o: colorchooserdialog.c colorchooserdialog.h \
  selectiondialog.h dialog.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h application.h \
  mstring.h
component.o: component.c component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h
dialog.o: dialog.c dialog.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h mstring.h
dumpwidgettree.o: dumpwidgettree.c dumpwidgettree.h
error.o: error.c /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  application.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  messagelogdialog.h textviewdialog.h dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h
figgrafport.o: figgrafport.c figgrafport.h grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h application.h \
  mwidget.h component.h
fileselectiondialog.o: fileselectiondialog.c fileselectiondialog.h \
  selectiondialog.h dialog.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h application.h \
  mstring.h menu.h menuitem.h bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h
fileutils.o: fileutils.c fileutils.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/system.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h questiondialog.h \
  messagedialog.h dialog.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/printeroptions.h \
  application.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/config.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/pagesize.h
finddialog.o: finddialog.c finddialog.h selectiondialog.h dialog.h \
  mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h mstring.h
fontchooserdialog.o: fontchooserdialog.c fontchooserdialog.h \
  ntogglelistdialog.h promptdialog.h selectiondialog.h dialog.h mwidget.h \
  component.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h mstring.h \
  xfont.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h
grafport.o: grafport.c grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h color.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h application.h \
  mwidget.h component.h
lineend.o: lineend.c lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h color.h
lineenddialog.o: lineenddialog.c lineenddialog.h ntogglelistdialog.h \
  promptdialog.h selectiondialog.h dialog.h mwidget.h component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndEmpty.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginOpenArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginFilledArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginDoubleOpenArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginDoubleFilledArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginWhiteCircle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginBlackCircle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginWhiteDiamond.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginBlackDiamond.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginWhiteTriangle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineBeginBlackTriangle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndOpenArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndFilledArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndDoubleOpenArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndDoubleFilledArrow.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndWhiteCircle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndBlackCircle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndWhiteDiamond.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndBlackDiamond.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndWhiteTriangle.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineEndBlackTriangle.xbm
linestyledialog.o: linestyledialog.c linestyledialog.h \
  ntogglelistdialog.h promptdialog.h selectiondialog.h dialog.h mwidget.h \
  component.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineStyleSolid.xbm \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/bitmaps/LineStyleDashed.xbm \

=== src/sd/gd/Makefile ===
include ../../Config.tmpl
 
GDOBJECTS = gdboundaryshape.o\
	gdcontrollershape.o\
	gddiagram.o\
	gdentityshape.o\
	gdgraph.o\
	gdviewer.o\
	gdupdatenodeshapetypecmd.o\
	gdwindow.o

tcmgd$(EXEEXTENSION):  $(GDOBJECTS) tcmgd.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(GDOBJECTS) \
	-ldiagram -leditor -lguix $(LIB_DIR)/libglobal.a \
	tcmgd.o -o $@ $(LDFLAGS) $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

libtcmgd.a: $(GDOBJECTS)
	$(AR) $@ $(GDOBJECTS)
	$(CHMODPLUSX) $@
	$(RANLIB) $@
	$(MV) $@ $(LIB_DIR)

tgd$(EXEEXTENSION):    $(GDOBJECTS) gdeditor.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) $(GDOBJECTS) gdeditor.o -o $@ \
	$(LDFLAGS) -ldiagram -leditor -lgui -lglobal $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)

tcmd$(EXEEXTENSION):   tcmd.o
	$(PURIFY) $(CC) $(CFLAGS) $(CPPFLAGS) tcmd.o -o $@ \
	-I../dv -I../bv -I../tr -I../fv \
	$(LDFLAGS) $(LIB_DIR)/libtcmgd.a $(LIB_DIR)/libtcmtr.a \
        $(LIB_DIR)/libtcmdv.a $(LIB_DIR)/libtcmbv.a $(LIB_DIR)/libtcmfv.a \
	$(LIB_DIR)/libtcmpv.a \
	$(LIB_DIR)/libdiagram.a $(LIB_DIR)/libeditor.a \
        $(LIB_DIR)/libgui.a $(LIB_DIR)/libglobal.a $(LDLIBS)
	$(CHMODPLUSX) $@
	$(STRIP) $@
	$(MV) $@ $(BIN_DIR)


clean: xclean

depend: xdepend

undepend: xundepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
gdboundaryshape.o: gdboundaryshape.c gdboundaryshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h
gdcontrollershape.o: gdcontrollershape.c gdcontrollershape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h
gddiagram.o: gddiagram.c gdgraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/graph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/genericedge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/edge.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subject.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/genericnode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/node.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hypergraph.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/emptynode.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/miniellipse.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/ellipse.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polypoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/dpoint.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/blackdot.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/box.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/bullseye.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/circle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/square.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/notebox.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/roundedbox.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/ellipsedbox.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/triangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/hexagon.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/horizontalbar.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/verticalbar.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/solidhorizontalbar.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/solidverticalbar.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diamond.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/line.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/lineend.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textbox.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/comment.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/stickman.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/folder.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/disk.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/buildingblock.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/cube.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/subfolder.h gddiagram.h \
  gdviewer.h /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramviewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/viewer.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/scaler.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/document.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/messagedialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/dialog.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapeview.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/grid.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodealign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagram.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/sequence.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/grafport.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/color.h gdwindow.h \
  gdboundaryshape.h gdcontrollershape.h gdentityshape.h
gdeditor.o: gdeditor.c \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/application.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mwidget.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/component.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h gdwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/diagramwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/bitmap.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/editwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mainwindow.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/mousecursor.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/toolkit.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ed/drawingarea.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h
gdentityshape.o: gdentityshape.c gdentityshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/nodeshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/gshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/linestyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/textshape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/ui/xfont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/afont.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/lstring.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/bool.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/util.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/error.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/textalign.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shape.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/rectangle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/point.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/thing.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/llist.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/element.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/code.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/typename.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/readdirection.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/gl/fillstyle.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/shapetype.h \
  /users/corbita/tcm/tcm2.20-TSQD-orion/src/dg/polygon.h \

=== debian/control ===
Source: tcm
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 libmotif-dev,
 libxt-dev,
 bison,
 flex,
 libxau-dev,
Rules-Requires-Root: no
Standards-Version: 3.7.2
Homepage: https://web.archive.org/web/20120511170334/http://wwwhome.cs.utwente.nl/~tcm/
Vcs-Browser: https://salsa.debian.org/debian/tcm
Vcs-Git: https://salsa.debian.org/debian/tcm.git

Package: tcm
Architecture: any
Depends:
 fig2dev,
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tcm-doc,
 xfonts-scalable,
Description: Toolkit for Conceptual Modeling (TCM)
 The Toolkit for Conceptual Modeling is a collection of software tools
 to present conceptual models of software systems in the form of
 diagrams, tables, trees, and the like. A conceptual model of a system
 is a structure used to represent the requirements or architecture of
 the system. TCM is meant to be used for specifying and maintaining
 requirements for desired systems, in which a number of techniques and
 heuristics for problem analysis, function refinement, behavior
 specification, and architecture specification are used.  TCM takes
 the form of a suite of graphical editors that can be used in these
 design tasks. These editors can be categorized
 into:
 .
  * Generic editors for generic diagrams, generic tables and generic
    trees.
  * Structured Analysis (SA) editors for entity-relationship diagrams,
    data and event flow diagrams, state transition diagrams, function
    refinement trees, transaction-use tables and function-entity type
    tables.
  * Unified Modeling Language (UML) editors for static structure
    diagrams, use-case diagrams, activity diagrams, state charts, message
    sequence diagrams, collaboration diagrams, component diagrams and
    deployment diagrams (only the first three UML and last two editors
    are functional at this moment).
  * Miscellaneous editors such as for JSD (process structure and
    network diagrams), recursive process graphs and transaction decomposition
    tables.
 .
 TCM supports constraint checking for single documents (e.g. name
 duplication and cycles in is-a relationships). TCM distinguishes
 built-in constraints (of which a violation cannot even be attempted)
 from immediate constraints (of which an attempted violation is
 immediately prevented) and soft constraints (against which the editor
 provides a warning when it checks the drawing). TCM is planned to
 support hierarchic graphs, so that it can handle for example
 hierarchic statecharts. Features to be added later
 include constraint checking across documents and executable models.

Package: tcm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Toolkit for Conceptual Modeling (TCM)
 The Toolkit for Conceptual Modeling is a collection of software tools
 to present conceptual models of software systems in the form of
 diagrams, tables, trees, and the like. A conceptual model of a system
 is a structure used to represent the requirements or architecture of
 the system. TCM is meant to be used for specifying and maintaining
 requirements for desired systems, in which a number of techniques and
 heuristics for problem analysis, function refinement, behavior
 specification, and architecture specification are used.  TCM takes
 the form of a suite of graphical editors that can be used in these
 design tasks. These editors can be categorized
 into:
 .
  * Generic editors for generic diagrams, generic tables and generic
    trees.
  * Structured Analysis (SA) editors for entity-relationship diagrams,
    data and event flow diagrams, state transition diagrams, function
    refinement trees, transaction-use tables and function-entity type
    tables.
  * Unified Modeling Language (UML) editors for static structure
    diagrams, use-case diagrams, activity diagrams, state charts, message
    sequence diagrams, collaboration diagrams, component diagrams and
    deployment diagrams (only the first three UML and last two editors
    are functional at this moment).
  * Miscellaneous editors such as for JSD (process structure and
    network diagrams), recursive process graphs and transaction decomposition
    tables.
 .
 TCM supports constraint checking for single documents (e.g. name
 duplication and cycles in is-a relationships). TCM distinguishes
 built-in constraints (of which a violation cannot even be attempted)
 from immediate constraints (of which an attempted violation is
 immediately prevented) and soft constraints (against which the editor
 provides a warning when it checks the drawing). TCM is planned to
 support hierarchic graphs, so that it can handle for example
 hierarchic statecharts. Features to be added later
 include constraint checking across documents and executable models.
 .
 This package contains all the documentation that comes in the original
 tarball.
